<div th:fragment="recordBO">

            <div class="panel row">

                    <div class="page-title col-md-12">
                    	<div class ="title">
	                        <span th:text="#{My steps in progress}"></span>
	                        <div id="records-actions" class="pull-right">
	                            <div class="btn-group" th:if="${recordBO}">
	                                <button id="sort" type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
	                                    <i class="fa fa-sort"></i>
	                                    <th:block th:text="#{Ordered by}" />
	                                </button>
	                                <ul class="dropdown-menu">
	                                    <li><a id="tridDateTransmissionDesc" th:href="@{/search(q=${q}, order=createdDesc, beginDate=${beginDate}, endDate=${endDate})}" th:text="#{'Transmission date (more or less recent)'}"></a></li>
	                                    <li><a id="tridDateTransmissionAsc" th:href="@{/search(q=${q}, order=createdAsc, beginDate=${beginDate}, endDate=${endDate})}" th:text="#{'Transmission Date (less or more recent)'}"></a></li>
	                                    <li><a id="triAlphabetique" th:href="@{/search(q=${q}, order=title, beginDate=${beginDate}, endDate=${endDate})}" th:text="#{'File name (A to Z)'}"></a></li>
	                                </ul>
	                            </div>
	                        </div>
	                    </div>
                    </div>
                    
                    
                    <div class="search-filter col-md-12">
                            <div class="panel panel-default">
                            
                                <div id="collapseOne" class="panel-body" >
                                   
                                     <form id="filters-form" role="form" th:action="@{/search}" method="post">
                                         <input name="order" hidden="true"/>
                                         
                                         <div class="form-bloc search col-md-3" id="search-text-fg">
                                             <input name="q" id="q" class="input-group" type="text" th:value="${q}" th:placeholder="#{Search a file}" >
                                         </div>
                                         <div class="form-bloc date col-md-3">
                                             <div class='input-group date'>
                                                 <input id='datetimepickerStart' name="beginDate" type='text' class="form-control datepicker" th:value="${beginDate}" th:placeholder="#{Begin Date}" />
                                                 <!-- 
                                                 <span class="input-group-addon">
                                                     <span class="glyphicon glyphicon-calendar"></span>
                                                 </span>
                                                  -->
                                                 <span class="input-group-btn">
                                                     <button class="btn btn-default" type="button">
                                                         <i class="fa fa-calendar"></i>
                                                     </button>
                                                 </span>
                                             </div>
                                         </div>
                                         <div class="form-bloc date col-md-3">
                                             <div class='input-group date'>
                                                 <input id='datetimepickerEnd' name="endDate" type='text' class="form-control datepicker" th:value="${endDate}" th:placeholder="#{End Date}" />
                                                 <!-- 
                                                 <span class="input-group-addon">
                                                     <span class="glyphicon glyphicon-calendar"></span>
                                                 </span>
                                                  -->
                                                 <span class="input-group-btn">
                                                     <button class="btn btn-default" type="button">
                                                         <i class="fa fa-calendar"></i>
                                                     </button>
                                                 </span>
                                             </div>
                                         </div>
                                         <div class="form-bloc forms-actions col-md-3" id="filter-btn-group">
                                             <a id="btn-reset" class="btn" th:href="@{/search(order=createdDesc)}"><span class="glyphicon glyphicon-remove" aria-hidden="true"></span>&nbsp;<span th:text="#{Reset button}"></span></a>
                                             <button class="btn btn-info" type="submit">
                                                 <span class="glyphicon glyphicon-search" aria-hidden="true"></span>&nbsp;<span th:text="#{Search button}"></span>
                                             </button>
                                         </div>
                                            <span class="form-control-clear fa-remove form-control-feedback hidden"></span>
                                     </form>
                                  
                                </div>
                            </div>
                    </div>
                    
                    <div class="col-md-12 tabs-navigation">
                        <ul class="nav nav-pills">
                            <li th:each="source, stat : ${recordBO}" th:classappend="${tab == source.getDataSource().getKey() ? ' active' : ''}">
                                <a th:href="${'#' + source.getDataSource().getKey()}" data-toggle="tab"><span th:text="#{${source.getDataSource().getLabel()} + ' ({0})'(${source.totalResults}) }"></span></a>
                            </li>
                        </ul>
                        <br>
                    </div>
                        
                        
                    <div class="col-md-12 tab-content">
                  		  <div class="tab-pane" th:classappend="${tab == source.getDataSource().getKey() ? ' active' : ''}" th:id="${source.getDataSource().getKey()}" th:each="source, stat : ${recordBO}">
	                  			<div class="row panel-record">
                                   <div class="col-xs-12 col-sm-6 col-md-4" th:each="record, stat : ${source.records}">
                                    <div class="record">
                                        <div class="row" th:object="${record}">
                                                <div class="col-md-10">
                                                    <div class="row">
                                                        <div class="col-md-12 record-id">
                                                            <i class="fa" th:classappend="*{error} ? fa-exclamation-triangle : fa-folder-open"></i>
                                                            <th:block th:text="*{recordId}" />
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-md-12 record-creation" th:text="|#{Record transmitted on} *{{creationDate}}|" />
                                                    </div>
                                                    <div th:if="${null != record.metadata && record.metadata.keySet().contains('liasse') && record.metadata.get('liasse').get(0) != ''}" class="row">
                                                        <div class="col-md-4 text-right record-info-label" th:text="#{Liasse number}" />
                                                        <div class="col-md-8 record-liasse" th:text="${record.metadata.get('liasse').get(0)}" />
                                                    </div>
                                                    <div th:if="${null != record.metadata && record.metadata.keySet().contains('denomination') && record.metadata.get('denomination').get(0) != ''}" class="row">
                                                        <div class="col-md-4 text-right record-info-label" th:text="#{Denomination}" />
                                                        <div class="col-md-8 record-title" th:text="${record.metadata.get('denomination').get(0)}" />
                                                    </div>
                                                    <div class="row" th:if="${record.title} != null and ${record.title} != ''">
                                                        <div class="col-md-4 text-right record-info-label" th:text="#{Formality}" />
                                                        <div class="col-md-8 record-description">
                                                            <th:block th:text="#{${record.title}}" />
                                                        </div>
                                                    </div>
                                                    <div class="row" th:if="${record.status} != null and ${record.status} != ''">
                                                        <div class="col-md-4 text-right record-info-label" th:text="#{File State}" />
                                                        <div class="col-md-8 record-status">
                                                            <th:block th:text="#{${record.status}}" />
                                                        </div>
                                                    </div>
                                                </div>
                                            
                                            <div class="record-actions col-md-12">
                                                <a th:each="action : *{actions}" th:id="|${action.type}-index-${stat.index}|"
                                                    th:href="@{'/source/' + ${source.getDataSource().getKey()} + '/code/'+${record.recordId} + '/action/'+${action.code}+'/execute'}"
                                                    th:text="${action.label.actualLabel}"
                                                    class="btn btn-xs btn-block btn-primary btn-primary-dashboard" th:classappend="${action.type}"
                                                    ></a>
                                            </div>
                                            
                                        </div>
                                    </div>
                                   </div>
                               </div>
									<div class="col-md-12 text-center">
										<nav aria-label="Page navigation">
										  <ul th:if="${source.totalPages > 0}" class="pagination">
										    <li class="page-item" th:if="${page != 0}">
										      <a class="page-link" th:href="@{'/page/' + ${source.getDataSource().getKey()}(q=${q}, order=${order}, beginDate=${beginDate}, endDate=${endDate}, page=${source.rangeStart()})}" aria-label="Previous">
										        <span aria-hidden="true">&laquo;</span>
										        <span class="sr-only">Previous</span>
										      </a>
										    </li>
										    <li class="page-item" th:if="${page != 0}">
										      <a class="page-link" th:href="@{'/page/' + ${source.getDataSource().getKey()}(q=${q}, order=${order}, beginDate=${beginDate}, endDate=${endDate}, page=${source.prevPage()})}" aria-label="Previous">
										        <span aria-hidden="true">&laquo;</span>
										        <span class="sr-only">Previous</span>
										      </a>
										    </li>
										    <li class="page-item" th:classappend="${page==p  ? ' active' : ''}" th:each="p : ${source.pageNumbers()}">
										      <a class="page-link" th:if="${source.showPage(p)}" th:href="@{'/page/' + ${source.getDataSource().getKey()}(q=${q}, order=${order}, beginDate=${beginDate}, endDate=${endDate}, page=${p})}" th:text="${p}"></a>
										     <a class="page-link disabled" th:if="${!source.showPage(p) && source.showPage(p -1)}" th:href="@{'/page/' + ${source.getDataSource().getKey()}(q=${q}, order=${order}, beginDate=${beginDate}, endDate=${endDate}, page=${p})}">...</a>
										    </li>
										    <li class="page-item">
										      <a class="page-link" th:href="@{'/page/' + ${source.getDataSource().getKey()}(q=${q}, order=${order}, beginDate=${beginDate}, endDate=${endDate}, page=${source.nextPage()})}" aria-label="Next">
										        <span aria-hidden="true">&raquo;</span>
										        <span class="sr-only">Next</span>
										      </a>
										    </li>
										    <li class="page-item" >
										      <a class="page-link" th:href="@{'/page/' + ${source.getDataSource().getKey()}(q=${q}, order=${order}, beginDate=${beginDate}, endDate=${endDate}, page=${source.totalPages})}" aria-label="Next">
										        <span aria-hidden="true">&raquo;</span>
										        <span class="sr-only">Next</span>
										      </a>
										    </li>
										  </ul>
										</nav>
									</div>
                               </div>
                        </div>
          </div>
    </div>
</div>